Bug 814060 - No such file or directory when starting service boinc-client
Summary: No such file or directory when starting service boinc-client
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: boinc-client
Version: 17
Hardware: i686
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Milos Jakubicek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-04-19 07:08 UTC by Juhani Jaakola
Modified: 2012-07-11 23:55 UTC (History)
16 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-07-11 23:55:42 UTC


Attachments (Terms of Use)
Patch to rename the systemd service file (1.11 KB, patch)
2012-05-25 14:24 UTC, Juan Orti Alcaine
no flags Details | Diff

Description Juhani Jaakola 2012-04-19 07:08:27 UTC
Description of problem:
Can't start boinc-client as a background service:

[root@hp ~]# service boinc-client start
Redirecting to /bin/systemctl  start boinc-client.service
Failed to issue method call: Unit boinc-client.service failed to load: No such file or directory. See system logs and 'systemctl status boinc-client.service' for details.
[root@hp ~]# systemctl status boinc-client.service
boinc-client.service
          Loaded: error (Reason: No such file or directory)
          Active: inactive (dead)

[root@hp ~]#

dmesg shows nothing. I can't find anything related to Boinc in /var/log/

The error message given by systemd is uninformative, because it does not tell *which* file or directory is missing.

I can start boinc-client with the following command:
sudo -u boinc /usr/bin/boinc_client --dir /var/lib/boinc

Version-Release number of selected component (if applicable):
boinc-client-6.12.43-1.r25218svn.fc17.i686
systemd-44-4.fc17.i686

How reproducible:
Always.

Steps to Reproduce:
1.# service boinc-client start
  
Actual results:
Boinc does not start. Systemd gives uninformative error message No such file or directory.

Expected results:
Boinc starts as a background process.

Additional info:

Comment 1 Germán Racca 2012-05-15 20:09:46 UTC
I preupgraded from F16 to F17 yesterday and also have this problem.

I discovered that after renaming:

/usr/lib/systemd/system/boinc-client

to

/usr/lib/systemd/system/boinc-client.service

then BOINC started to work again:

$ sudo systemctl start boinc-client.service

$ systemctl status boinc-client.service
boinc-client.service - Berkeley Open Infrastructure Network Computing Client
	  Loaded: loaded (/usr/lib/systemd/system/boinc-client.service; disabled)
	  Active: active (running) since Tue, 15 May 2012 14:09:08 -0300; 2s ago
	 Process: 11646 ExecStartPre=/bin/sleep 1 (code=exited, status=0/SUCCESS)
	Main PID: 11648 (boinc_client)
	  CGroup: name=systemd:/system/boinc-client.service
		  ├ 11648 /usr/bin/boinc_client --dir /var/lib/boinc
		  └ 11654 ../../projects/milkyway.cs.rpi.edu_milkyway/milkyway_nbody_0.88_x86_64-pc-...

I concluded that there should be an issue with the spec file in the transition from SysV to systemd.

Comment 2 Juan Orti Alcaine 2012-05-25 14:24:31 UTC
Created attachment 586878 [details]
Patch to rename the systemd service file

This patch to the spec file renames the systemd service file with .service extension

Comment 3 Marco Motta 2012-06-03 11:49:48 UTC
Pay attention,because mv /usr/lib/systemd/system/boinc-client{,.service} is not sufficient, because in this way boinc start, but does'nt works. You must apply the patch that is in this page to the .spec file, and rebuild the rpm files. Further there is a second bug: even if boinc-client is enabled, the service does not start at boot, and you must start it (every boot) with
systemctl start boinc-client.service
To solve this problem, in the file /usr/lib/systemd/system/boinc-client.service, change
After=network.target graphical.target
in
After=network.target

See http://www.mathhelp.eu/software/boinc/boinc.html for the full patch.

Comment 4 GuL 2012-06-03 14:49:01 UTC
(In reply to comment #1)
> I preupgraded from F16 to F17 yesterday and also have this problem.
> 
> I discovered that after renaming:
> 
> /usr/lib/systemd/system/boinc-client
> 
> to
> 
> /usr/lib/systemd/system/boinc-client.service
> 
> then BOINC started to work again:

When simply renaming the file, the boinc service can work but the boincmgr can not connect to it. It's better to use a symbolic link:
ln -s /usr/lib/systemd/system/boinc-client /usr/lib/systemd/system/boinc-client.service

Comment 5 Germano Massullo 2012-06-03 14:52:42 UTC
2 days ago I contacted the package mantainer, he is working on it, soon we will get a patch

Comment 6 GuL 2012-06-03 14:58:14 UTC
>To solve this problem, in the file
> /usr/lib/systemd/system/boinc-client.service, change
> After=network.target graphical.target
> in
> After=network.target
> 
> See http://www.mathhelp.eu/software/boinc/boinc.html for the full patch.

The aim of the graphical.target was to enable the gpu computing :
https://bugzilla.redhat.com/show_bug.cgi?id=754600

Nevertheless, even if it has been working at the beginning, the service now starts but die immediately. If somebody has an idea, please tell me. I can do some tests if needed.
Thanks

Comment 7 Marco Motta 2012-06-03 15:20:20 UTC
(In reply to comment #6)
> >To solve this problem, in the file
> > /usr/lib/systemd/system/boinc-client.service, change
> > After=network.target graphical.target
> > in
> > After=network.target
> > 
> > See http://www.mathhelp.eu/software/boinc/boinc.html for the full patch.
> 
> The aim of the graphical.target was to enable the gpu computing :
> https://bugzilla.redhat.com/show_bug.cgi?id=754600
> 
> Nevertheless, even if it has been working at the beginning, the service now
> starts but die immediately. If somebody has an idea, please tell me. I can
> do some tests if needed.
> Thanks

For me it is the opposite. With "graphical.target" in /usr/lib/systemd/system/boinc-client.service boinc-client, although enabled, doesn't start at boot. Without "graphical.target" boinc.client starts at boot, if enabled. It can depend on grub options in the kernel line? But I tried it on a desktop with akmod nvidia and on a notebook with ati free driver, and it is the same.

N.B. I tried ln -s /usr/lib/systemd/system/boinc-client /usr/lib/systemd/system/boinc-client.service, but it does not work. It is better to apply the path and rebuild the rpm files.

Comment 8 Marco Motta 2012-06-03 15:22:01 UTC
> to apply the path
Excuse me, "to apply the patch"

Comment 9 Germano Massullo 2012-06-08 20:00:56 UTC
Hope an official fix will be relased as soon as possible

Comment 10 Germano Massullo 2012-06-18 17:54:08 UTC
PING?

Comment 11 Fedora Update System 2012-06-22 15:38:47 UTC
boinc-client-6.12.43-2.r25218svn.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/boinc-client-6.12.43-2.r25218svn.fc17

Comment 12 Fedora Update System 2012-06-26 00:38:24 UTC
Package boinc-client-6.12.43-2.r25218svn.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing boinc-client-6.12.43-2.r25218svn.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-9859/boinc-client-6.12.43-2.r25218svn.fc17
then log in and leave karma (feedback).

Comment 13 Germano Massullo 2012-06-27 16:44:23 UTC
It is not possible to permanently enable the service by doing
systemctl enable boinc-client.service

Comment 14 Marco Motta 2012-06-27 18:22:33 UTC
(In reply to comment #13)
> It is not possible to permanently enable the service by doing
> systemctl enable boinc-client.service

As I wrote, in /usr/lib/systemd/system/boinc-client.service change "After=network.target graphical.target" in "After=network.target"

Comment 15 Germano Massullo 2012-06-27 18:42:05 UTC
(In reply to comment #14)
> (In reply to comment #13)
> > It is not possible to permanently enable the service by doing
> > systemctl enable boinc-client.service
> 
> As I wrote, in /usr/lib/systemd/system/boinc-client.service change
> "After=network.target graphical.target" in "After=network.target"

I was speaking about the patch in Fedora system

Comment 16 Germán Racca 2012-06-27 19:48:43 UTC
(In reply to comment #13)
> It is not possible to permanently enable the service by doing
> systemctl enable boinc-client.service

This also happens to me. The service is enabled according to systemd, but it doesn't start when I boot my pc.

Comment 17 Lukas Marek 2012-07-02 17:13:06 UTC
I found this ("dmesg --level=err,warn"):

[    6.640318] systemd[1]: Found ordering cycle on graphical.target/start
[    6.640333] systemd[1]: Breaking ordering cycle by deleting job boinc-client.service/start

Comment 18 Fedora Update System 2012-07-11 23:55:42 UTC
boinc-client-7.0.29-1.r25790svn.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.